Package com.verisign.epp.codec.nameWatch

## Class EPPNameWatchTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.nameWatch.EPPNameWatchTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPNameWatchTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.nameWatch package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.nameWatch package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5
  Change Hostory: Modified test codes to accomdate the latest epp-nameWatch-03 protocol

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameWatchTst​(java.lang.String name)` | Creates a new EPPNameWatchTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPNameWatchMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPNameWatchTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testNameWatchCreate()` | Unit test of `EPPNameWatchCreateCmd`.
    `void` | `testNameWatchDelete()` | Unit test of `EPPNameWatchDeleteCmd`.
    `void` | `testNameWatchInfo()` | Unit test of `EPPNameWatchInfoCmd`.
    `void` | `testNameWatchRenew()` | Unit test of `EPPNameWatchRenewCmd`.
    `void` | `testNameWatchTransfer()` | Unit test of `EPPNameWatchTransferCmd`.
    `void` | `testNameWatchUpate()` | Unit test of `EPPNameWatchUpdateCmd`.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameWatchTst

          public EPPNameWatchTst​(java.lang.String name)

      Creates a new EPPNameWatchTst object.
      Parameters:
        `name` - DOCUMENT ME!

  - ### Method Detail

    - #### testNameWatchInfo

          public void testNameWatchInfo()

      Unit test of `EPPNameWatchInfoCmd`. The response to `EPPNameWatchInfoCmd` is `EPPNameWatchInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testNameWatchCreate

          public void testNameWatchCreate()

      Unit test of `EPPNameWatchCreateCmd`. The response to `EPPNameWatchCreateCmd` is `EPPNameWatchCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testNameWatchDelete

          public void testNameWatchDelete()

      Unit test of `EPPNameWatchDeleteCmd`. The response to `EPPNameWatchDeleteCmd` is `EPPNameWatchCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testNameWatchRenew

          public void testNameWatchRenew()

      Unit test of `EPPNameWatchRenewCmd`. The response to `EPPNameWatchRenewCmd` is `EPPNameWatchRenewResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testNameWatchUpate

          public void testNameWatchUpate()

      Unit test of `EPPNameWatchUpdateCmd`. The response to `EPPNameWatchUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testNameWatchTransfer

          public void testNameWatchTransfer()

      Unit test of `EPPNameWatchTransferCmd`. The response to `EPPNameWatchTransferCmd` is `EPPNameWatchTransferResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPNameWatchMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPNameWatchTst`.
      Returns:
        DOCUMENT ME!

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test